質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.52%

phpをインストールしたが、バージョン確認できない

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,149

panasa

score 12

あるチュートリアルを参考に
sudo add-apt-repository ppa:ondrej/php5-5.6
sudo apt-get update
sudo apt-get install php5
でインストールしました。

でも、
php -v
php5 -v

The program 'php' is currently not installed.
You can install it by typing: sudo apt-get install php5-cli
となります。
php5-cliもインストールしなくてはならないのでしょうか? なぜ?

sudo apt-cache policy php5
と確認すると
php5:
Installed: 5.5.9+dfsg-1ubuntu4.21
Candidate: 5.5.9+dfsg-1ubuntu4.21
とでるので、インストールされているはず。。

私、初心者です。
インストール後に、何か手順が必要なのでしょうか?
教えていただけると幸いです。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+2

php5-cliもインストールしなくてはならないのでしょうか? なぜ?

単にphp5だけインストールすると、Apache組み込み用のPHPがインストールされます。コマンドラインからの実行には、php5-cliが必要です。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/07/13 08:21

    クライアントをインストールすると、バージョン情報を確認できるようになりました。
    回答ありがとうございます。サービスも起動できました。

    が、php5-cli側が、バージョン情報の決め手なのか??
    最初にインストールしたphp5だけではバージョン情報が出ない?というモヤモヤが(・_・;
    巷のチュートリアルは、php5とphp5-cliの両方インストールではなく、php5だけインストールする手順が散見されるので、実はphp5だけでも目的を達成できて、私の環境とは違うのであろう、、、という新たな謎が。。もうちょっと触って見ます。

    キャンセル

  • 2017/07/13 09:10

    php5だけだと、「php」コマンドがないので、バージョンを確認しようにも実行できません(Apache経由でphpinfo()を表示させることはできますが)。

    キャンセル

  • 2017/07/13 09:21

    もしかしたら、別なディストリビューションでは「php」だけでphp-cli相当のものが入ってしまうのかもしれません。

    キャンセル

  • 2017/07/13 10:44

    OH!
    phpとphp-cliが一緒に入っちゃうパッケージ?かもしれないということで、、なんだか光が見えました。ありがとうございます!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.52%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る